﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace learning_sum
{
    public partial class azmoon : Form
    {
        public azmoon()
        {
            InitializeComponent();
        }
        string azmoon_code = "";
        private void azmoon_Load(object sender, EventArgs e)
        {
            // دریافت کد آزمونی که باید انجام شود
            if (rabet.azmoon_id != "")
            {
                azmoon_code = rabet.azmoon_id;
                rabet.azmoon_id = "";
                loadazmoon();
            }
        }
        database db = new database();
        DataTable dt_az = new DataTable();
        DataTable dtsoal = new DataTable();
        private void loadazmoon()
        {
            // دریافت اطلاعات آزمونی که قبلا سوالاتش در آن فرم کوچک آزمون جدید ثبت شده است
            dt_az = db.get("select * from azmoon where id="+azmoon_code);
            this.Text = dt_az.Rows[0]["sharh"].ToString() + "     " + dt_az.Rows[0]["start_date"].ToString();
            dtsoal = db.get("select soal_id,soal,gozine1,gozine2,gozine3,gozine4,kelid,score,pasokh from soalat s, azmoon_detail a where s.id=a.soal_id and  a.azmoon_id=" + azmoon_code);
            time =int.Parse( dt_az.Rows[0]["time"].ToString());
            change_soal();
        }
        int time = 0;
        int counter = 0;
        private void timer1_Tick(object sender, EventArgs e)
        {
            // نمایش زمان
            if (time > 0)
            {
                lbl_time.Text = "زمان باقی مانده : " + time.ToString();
                time--;
            }
            else
            {
                end_azmoon();
            }
        }
        private void change_soal()
        {
            // تغییر سوال
            dtsoal = db.get("select soal_id,soal,gozine1,gozine2,gozine3,gozine4,kelid,score,pasokh from soalat s, azmoon_detail a where s.id=a.soal_id and  a.azmoon_id=" + azmoon_code);

            soal.Text = dtsoal.Rows[counter]["soal"].ToString();
            radioButton1.Text = dtsoal.Rows[counter]["gozine1"].ToString();
            radioButton2.Text = dtsoal.Rows[counter]["gozine2"].ToString();
            radioButton3.Text = dtsoal.Rows[counter]["gozine3"].ToString();
            radioButton4.Text = dtsoal.Rows[counter]["gozine4"].ToString();
            radioButton1.Checked = false;
            radioButton2.Checked = false;
            radioButton3.Checked = false;
            radioButton4.Checked = false;

            if(dtsoal.Rows[counter]["pasokh"].ToString()=="1") 
                radioButton1.Checked = true;

            if (dtsoal.Rows[counter]["pasokh"].ToString() == "2")
                radioButton2.Checked = true;


            if (dtsoal.Rows[counter]["pasokh"].ToString() == "3")
                radioButton3.Checked = true;

            if (dtsoal.Rows[counter]["pasokh"].ToString() == "4")
                radioButton4.Checked = true;

            lbl_counter.Text = (counter + 1).ToString();
 
        }
        private void end_azmoon()
        {
            // پایان آزمون
            db.run("update azmoon set tahvil=1 where id="+azmoon_code, false);
            rabet.azmoon_id = azmoon_code;
            result f = new result();
            f.Show();

            this.Close();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            // سوال بعدی
            if (counter < dtsoal.Rows.Count - 1)
            {
                counter++;
                change_soal();
            }
            else
            {
                button1.Visible = false;
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            // سوال قبلی
            if (counter > 0)
            {
                counter--;
                change_soal();
                button1.Visible = true;
            }
        }

        private void tahvil_MouseEnter(object sender, EventArgs e)
        {
            tahvil2.Visible = true;
        }

        private void tahvil2_MouseLeave(object sender, EventArgs e)
        {
            tahvil2.Visible = false;
        }

        private void radioButton1_CheckedChanged(object sender, EventArgs e)
        {

            // انتخواب جواب 1
            db.run("update azmoon_detail set pasokh=1 where soal_id="+ dtsoal.Rows[counter]["soal_id"].ToString() +" and azmoon_id=" + azmoon_code,false);
        }

        private void radioButton2_CheckedChanged(object sender, EventArgs e)
        {
            // انتخواب جواب 2
            db.run("update azmoon_detail set pasokh=2 where soal_id=" + dtsoal.Rows[counter]["soal_id"].ToString() + " and azmoon_id=" + azmoon_code, false);
        }

        private void radioButton3_CheckedChanged(object sender, EventArgs e)
        {
            // انتخواب جواب3
            db.run("update azmoon_detail set pasokh=3 where soal_id=" + dtsoal.Rows[counter]["soal_id"].ToString() + " and azmoon_id=" + azmoon_code, false);
        }

        private void radioButton4_CheckedChanged(object sender, EventArgs e)
        {
            // انتخواب جواب 4
            db.run("update azmoon_detail set pasokh=4 where soal_id=" + dtsoal.Rows[counter]["soal_id"].ToString() + " and azmoon_id=" + azmoon_code, false);
        }

        private void tahvil2_Click(object sender, EventArgs e)
        {
            // تحویل آزمون
            if (MessageBox.Show("ایا  مطمئن هستید؟", "تحویل آزمون", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
            {
                end_azmoon();
            }
        }

        private void azmoon_FormClosing(object sender, FormClosingEventArgs e)
        {
            rabet.showmain = true;
        }

    }
}
